def str_to_bool(value):
    """
    A utility function to convert a string to boolean based on simple rules.
    :param value: the value to convert
    :return: True or False
    :raises ValueError: if value cannot be converted to boolean
    """

    if type(value) is not str:
        raise ValueError("This method only converts string to booolean.")

    if value in ('False', 'false', '0'):
        return False
    elif value in ('True', 'true', '1'):
        return True
    else:
        raise ValueError("Invalid argument for conversion")
